pamtopnm(1)

NAME
pamtopnm - convert PAM image to PBM, PGM, or PPM

SYNOPSIS
pamtopnm [-assume] [pnmfile] All options may be abbreviated to the shortest unique prefix.

DESCRIPTION
Reads a PAM image as input. Produces an equivalent PBM, PGM, or PPM (i.e. PNM) image, whichever is most appropriate, as output. pamtopnm assumes the PAM image represents the information required for a PBM, PGM, or PPM image if its tuple type is "BLACKANDWHITE", "GRAYSCALE", or "RGB" and its depth and maxval are appropriate. If this is not the case, pamtopnm fails. However, you can override the tuple type requirement with the -assume option. As with any Netpbm program that reads PAM images, pamtopnm also reads PNM images as if they were PAM. In that case, pamtopnm's functions reduces to simply copying the input to the output. But this can be useful in a program that doesn't know whether its input is PAM or PNM but needs to feed it to a program that only recognizes PNM.

OPTIONS

-assume
    When you specify -assume, you tell pamtopnm that you personally vouch for the fact that the tuples contain the same data as belongs in the channels of a PBM, PGM, or PPM file. The depth must still conform, though, so to truly force a conversion, you may have to run the input through pamchannel first. But be careful with -assume. When you -assume, you make an -ass of u and me.

SEE ALSO
pbmtopgm(1), pgmtopbm(1), pgmtoppm(1), ppmtopgm(1), pam(5), pnm(5), pbm(5), pgm(5), ppm(5)